'use strict';

const Errors = require('common-errors');
const redisKey = require('../utils/key.js');

var _require = require('../constants.js');

const USERS_DATA = _require.USERS_DATA;


module.exports = function getInternalData(username) {
  const redis = this.redis;

  const userKey = redisKey(username, USERS_DATA);

  return redis.pipeline().exists(userKey).hgetallBuffer(userKey).exec().spread((exists, data) => {
    if (!exists[1]) {
      throw new Errors.HttpStatusError(404, `"${ username }" does not exists`);
    }

    return data[1];
  });
};